﻿within OpenIPSL.UsersGuide;
model References "References"
  extends Modelica.Icons.References;
  annotation (Documentation(info="<html>
<table cellspacing=\"0\" cellpadding=\"2\" border=\"0\">
<tr>
<td>[IEEE1968]</td>
<td>IEEE:
        &quot;Computer representation of excitation systems&quot;.
        IEEE Transactions on Power Apparatus and Systems, Vol PAS-87, 1460–1464,
        No 6, June 1968.
         <a href=\"https://doi.org/10.1109/TPAS.1968.292114\">DOI: 10.1109/TPAS.1968.292114</a>
</td>
</tr>
<tr>
<td>[IEEE1973]</td>
<td>IEEE:
        &quot;Dynamic Models for Steam and Hydro Turbines in Power System Studies&quot;,
        in IEEE Transactions on Power Apparatus and Systems, volume PAS-92, issue 6, IEEE Report 1973,
        <a href=\"https://doi.org/10.1109/TPAS.1973.293570\">DOI: 10.1109/TPAS.1973.293570</a>
</td>
</tr>
<tr>
<td>[IEEE1981]</td>
<td>IEEE:
        &quot;Excitation System Models for Power System Stability Studies&quot;,
        in IEEE Transactions on Power Apparatus and Systems, IEEE Report 1981,
        <a href=\"https://doi.org/10.1109/TPAS.1981.316906\">DOI: 10.1109/TPAS.1981.316906</a>
</td>
</tr>
<tr>
<td>[IEEE1992]</td>
<td>IEEE:
        &quot;421.5-1992 - IEEE Recommended Practice for Excitation System Models
        for Power System Stability Studies&quot;,
        IEEE Standard 1992,
        <a href=\"https://doi.org/10.1109/IEEESTD.1992.106975\">DOI: 10.1109/IEEESTD.1992.106975</a>
</td>
</tr>
<tr>
<td>[IEEE2005]</td>
<td>IEEE:
        &quot;421.5-2005 - IEEE Recommended Practice for Excitation System Models
        for Power System Stability Studies&quot;,
        IEEE Standard 2005,
        <a href=\"https://doi.org/10.1109/IEEESTD.2006.99499\">DOI: 10.1109/IEEESTD.2006.99499</a>
</td>
</tr>
<tr>
<td>[IEEE2013]</td>
<td>IEEE Power & Energy Society:
        &quot;Dynamic models for turbine-governors in power system studies&quot;,
        Power System Dynamic Performance Committee,
        <a href=\"https://resourcecenter.ieee-pes.org/publications/technical-reports/PESTR1.html\">IEEE PES Resource Center</a>
</td>
</tr>
<tr>
<td>[IEEE2016]</td>
<td>IEEE:
        &quot;421.5-2016 - IEEE Recommended Practice for Excitation System Models
        for Power System Stability Studies&quot;,
        IEEE Standard 2016,
        <a href=\"https://doi.org/10.1109/IEEESTD.2016.7553421\">DOI: 10.1109/IEEESTD.2016.7553421</a>
</td>
</tr>
<tr>
<td>[Milano2010]</td>
<td>Federico Milano:
        &quot;Power System Modelling and Scripting&quot;,
        Springer 2010,
        <a href=\"https://www.springer.com/gp/book/9783642136689\">ISBN 978-3-642-13668-9</a>
</td>
</tr>
<tr>
<td>[Milano2013]</td>
<td>Federico Milano:
        &quot;Power System Analysis Toolbox&quot;,
        Documentation for PSAT version 2.1.8, 6th January 2013,
        (<a href=\"http://faraday1.ucd.ie/psat.html\">Home page</a>)
</td>
</tr>
<tr>
<td>[PSSE-AGV1]</td>
<td>Siemens:
        &quot;PSS&reg;E Program Application Guide Volume 1&quot;,
        version 33, April 2017,
        (<a href=\"https://new.siemens.com/global/en/products/energy/energy-automation-and-smart-grid/pss-software/pss-e.html\">Home page</a>)
</td>
</tr>
<tr>
<td>[PSSE-AGV2]</td>
<td>Siemens:
        &quot;PSS&reg;E Program Application Guide Volume 2&quot;,
        version 33, April 2017,
        (<a href=\"https://new.siemens.com/global/en/products/energy/energy-automation-and-smart-grid/pss-software/pss-e.html\">Home page</a>)
</td>
</tr>
<tr>
<td>[PSSE-MODELS]</td>
<td>Siemens:
        &quot;PSS&reg;E Model Library&quot;,
        version 33, April 2017,
        (<a href=\"https://new.siemens.com/global/en/products/energy/energy-automation-and-smart-grid/pss-software/pss-e.html\">Home page</a>)
</td>
</tr>
<tr>
<td>[Verboomen2005]</td>
<td>Verboomen, J., Van Hertem, D., Schavemaker, P., Kling, W., Belmans, R.:
        &quot;Phase shifting transformers: Principles and applications&quot;.
        In: International Conference on Future Power Systems,
        Amsterdam, Netherlands, November 2005,
        <a href=\"https://doi.org/10.1109/FPS.2005.204302\">DOI: 10.1109/FPS.2005.204302</a>
</td>
</tr>
</table>
</html>"));
end References;
