﻿within OpenIPSL.UsersGuide;
model Publications "Publications"
  extends Modelica.Icons.References;
  annotation (Documentation(info="<html>
<p>The list of publications written about OpenIPSL library and its models can be found below. </p>
<p>If you use OpenIPSL in your work or research, we kindly ask you to cite (preferably), our <a href=\"https://www.sciencedirect.com/science/article/pii/S2352711018300050\">SoftwareX</a> paper:</p>

<ul>
<li>M. Baudette, M. Castro, T. Rabuzin, J. Lavenius, T. Bogodorova, L. Vanfretti,
    OpenIPSL: Open-Instance Power System Library — Update 1.5 to &quot;iTesla Power Systems Library (iPSL):
    A Modelica library for phasor time-domain simulations&quot;, SoftwareX, Volume 7, January–June 2018, Pages 34-36, ISSN 2352-7110,
    <a href= \"https://doi.org/10.1016/j.softx.2018.01.002\">DOI: 10.1016/j.softx.2018.01.002</a>.</li>
</ul>

<p>Otherwise, you cite one of the following papers, according to a specific use of OpenIPSL:</p>

<ul>
<li> L. Vanfretti, T. Rabuzin, M. Baudette, and M. Murad,
    &quot;iTesla Power Systems Library (iPSL): A Modelica library for phasor time-domain simulations,&quot;
    SoftwareX, Available online 18 May 2016, ISSN 2352-7110,
    <a href=\"http://dx.doi.org/10.1016/j.softx.2016.05.001\">DOI: 10.1016/j.softx.2016.05.001.</a></li>

<li> M. Zhang, M. Baudette, J. Lavenius, S. Løvlund, and L. Vanfretti,
    &quot;Modelica Implementation and Software-to-Software Validation of Power
    System Component Models Commonly used by Nordic TSOs for Dynamic Simulations,&quot;
    In Proceedings of the 56th Conference on Simulation and Modelling (SIMS 56),
    7-9 October 2015, Linköping, Sweden.
    <a href=\"https://www.openmodelica.org/events/sims-2015\">Link</a></li>

<li> M. Sabate, G. Leon, M. Halat, J.B. Heyberger, F.J. Gomez and L. Vanfretti,
    &quot;Aspects of Power System Modeling, Initialization and Simulation using the Modelica Language,&quot;
    2015 IEEE Eindhoven PowerTech 2015, June 29 - July 02, 2015, Eindhoven, Netherlands.
    <a href=\"http://www.itesla-project.eu/system/resources/BAhbBlsHOgZmSSJIMjAxNS8wNy8wOC8wOV81OV81Nl83N18wNGFfUGFwZXJfUG93ZXJfc3lzdGVtX21vZGVsaW5nX01vZGVsaWNhLnBkZgY6BkVU/04a_Paper_Power_system_modeling_Modelica.pdf\">Link</a></li>

<li> M.A. Adib Murad, F.J. Gomez, and L. Vanfretti,
    &quot;Equation-Based Modeling of FACTS using Modelica,&quot;
    2015 IEEE Eindhoven PowerTech 2015, June 29 - July 02, 2015, Eindhoven, Netherlands.
    <a href=\"http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7232500\">Link</a></li>

<li> M.A. Adib Murad, F.J. Gomez, and L. Vanfretti,
    &quot;Equation-Based Modeling and Simulation of Three-Winding, and Regulating Transformers using Modelica,&quot;
    2015 IEEE Eindhoven PowerTech 2015, June 29 - July 02, 2015, Eindhoven, Netherlands.
    <a href=\"http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7232503\">Link</a></li>

<li> L. Vanfretti, T. Bogodorova, and M. Baudette,
    &quot;Power System Model Identification Exploiting the Modelica Language and FMI Technologies,&quot;
    2014 IEEE International Conference on Intelligent Energy and Power Systems, June 2-6, 2014, Kyiv, Ukraine.
    <a href=\"http://ieeexplore.ieee.org/xpl/articleDetails.jsp?arnumber=7232503\">Link</a></li>

<li> L. Vanfretti, T. Bogodorova, and M. Baudette,
    &quot;A Modelica Power System Component Library for Model Validation and Parameter Identification,&quot;
    10th International Modelica Conference, Mar. 10 – 12, 2014, Lund, Sweden.
    <a href=\"http://www.ep.liu.se/ecp_article/index.en.aspx?issue=96;article=126\">Link</a></li>

<li> T. Bogodorova, M. Sabate, G. León, L. Vanfretti, M. Halat, J.B. Heyberger, and P. Panciatici,
    &quot;A Modelica Power System Library for Phasor Time-Domain Simulation,&quot;
    IEEE ISGT Europe 2013, Oct. 6 – 9, 2013, Lyngby, Denmark.
    <a href=\"http://kth.diva-portal.org/smash/record.jsf?pid=diva2%3A695594&dswid=-2413\">Link</a></li>

<li> L. Vanfretti, W. Li, T. Bogodorova, and P.Panciatici,
    &quot;Unambiguous Power System Modeling and Simulation using Modelica Tools,&quot;
    2013 IEEE Power and Energy Society General Meeting, Jul. 21 – 25, 2013, Vancouver, Canada.
    <a href=\"http://kth.diva-portal.org/smash/record.jsf?pid=diva2%3A695601&dswid=4147\">Link</a></li>
</ul>
</table>

<p>In addition, you can also browse a few of the thesis of the students that carried out their MSc and PhD research under Prof. Vanfretti's group in the following links:</p>

<ul>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/mscthesis/2013_Joan_MSc_Thesis.pdf\">Joan Russinol (2013)</a>.</li>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/mscthesis/2014_LeQi_MScThesis.pdf\">Le Qi (2014)</a>.</li>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/mscthesis/2015_Ahsan_MScThesis.pdf\">M.Ahsan Adib Murad (2015)</a>.</li>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/mscthesis/2015_MengjiaZhang_MScThesis.pdf\">Mengjia Zhang (2015)</a>.</li>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/mscthesis/2018_Marcelo_Thesis.pdf\">Marcelo de Castro Fernandes (2017)</a>.</li>
<li><a href= \"https://alsetlab.github.io/404/\">Miguel Aguilera Chavez (2017)</a>.</li>
<li><a href= \"https://alsetlab.github.io/404/\">Biswarup Mukherjee (2017)</a>.</li>
<li><a href= \"https://ecse.rpi.edu/~vanfrl/documents/phdthesis/2017_Bogodorova_PhD_Thesis.pdf\">Dr. Tetiana Bogodorova (2017)</a>.</li>
</ul>

</html>"));
end Publications;
